Subject: RE: [dhcwg] Is the "Success" option neccessary?

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Thu, 2 Feb 2006 22:33:26 -0500

Hi:

> Based up, the "Success" can be thinked as a reply of other 
> configuration
> information for the client. But if the Reply message only includes
> SID,CID, and IA options, it looks no other informations for client,
> now dose the server still need reply a "Success" status code option 
> in the Main part ?

I really don't know how to answer your question. Again, if I was implementing that server I would not be sending a Success Status Code option because there is no reason to - the spec doesn't require it. Pretend it wasn't there (ignore it)?

> > Likely, the client will transition to Request or Solicit 
> > because of the NoBinding status anyway for at least that binding?
> Sorry, I'm not very clear to the above text.
> Dose it means actually the "NoBinding"status code is also a kind of
> configuration information?So if the client receive the 
> "Success" status
> code, then it will send the next Request or Solicit message to get a
> new address.

I don't undersand what you're asking. "NoBinding" status means that the server has no record of that binding. If the client wants addresses for that binding, then it must send a Request to get the server to learn about that binding and assign addresses to that binding.  See RFC 3315, section 18.1.8:

   When the client receives a Reply message in response to a Renew or
   Rebind message, the client examines each IA independently.  For each
   IA in the original Renew or Rebind message, the client:

   -  sends a Request message if the IA contained a Status Code option
      with the NoBinding status (and does not send any additional
      Renew/Rebind messages)

The Success Status Code option in the outer part of the message is really of no interest (ie, IGNORE IT!).

- Bernie

> -----Original Message-----
> From: haoda [mailto:[email-masked]] 
> Sent: Thursday, February 02, 2006 9:16 PM
> To: Bernie Volz (volz)
> Cc: [email-masked]; [email-masked]
> Subject: RE: [dhcwg] Is the "Success" option neccessary?
> 
> Ｈｉ，Mr, Volz,
> 
> I'm very glad to get your reply so quickly.
> Thanks.
> 
>  
> > While the IA's binding wasn't found, the remaining options in 
> > the Reply and the Renew/Rebind of non-IA's was successful. 
> > (From 18.2.3 - "The server includes other options containing 
> > configuration information to be returned to the client as 
> > described in section 18.2.")
> Based up, the "Success" can be thinked as a reply of other 
> configuration
> information for the client. But if the Reply message only includes
> SID,CID, and IA options, it looks no other informations for client,
> now dose the server still need reply a "Success" status code option 
> in the Main part ?
> 
> > Likely, the client will transition to Request or Solicit 
> > because of the NoBinding status anyway for at least that binding?
> Sorry, I'm not very clear to the above text.
> Dose it means actually the "NoBinding"status code is also a kind of
> configuration information?So if the client receive the 
> "Success" status
> code, then it will send the next Request or Solicit message to get a
> new address.
> 
> Is my understanding right?
> 
> 
> Best regard yours,
> Haoda
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "haoda" <[email-masked]>
Date: Fri, 3 Feb 2006 13:20:58 +0900

Hi, Mr. Volz,

Thanks for your reply!
It looks more clear for me. 

Now I want to confirm a item said in your
previous mail.
Please look at it.

> From: Bernie Volz (volz) [mailto:[email-masked]] 
> Sent: Wednesday, February 01, 2006 1:52 AM
> To: haoda; [email-masked]
> There is no need to add a Success Status Code option to most 
> of the messages (only the Decline and Release explicitly 
> indicate that a Success Status Code option should be added).

Dose it mean when a Decline/Reply or Release/Reply message exchange
is failed and a "Nobinding" status code is returned in the IA option, at same
time, the "Success" status code should be include in the main part of 
this messge. That is, the Reply message only include "Nobinding" in
the IA options and don not include a "Success" is not acceptable.
Is my understanding right? 
Or it is only necessary when the message exchange is successful?

But in RFC3315, I haven't found some explanation when failed.
If it is a "SHOULD" option,would you like to tell me where it is in the RFC?
I only found these texts.(Example, for Release)

"
   After all the addresses have been processed, the server generates a
   Reply message and includes a Status Code option with value Success, a
   Server Identifier option with the server's DUID, and a Client
   Identifier option with the client's DUID.  For each IA in the Release
   message for which the server has no binding information, the server
   adds an IA option using the IAID from the Release message, and
   includes a Status Code option with the value NoBinding in the IA
   option.  No other options are included in the IA option.
"

Best regard yours,

Haoda